//
//  imgControler.mm
//  3dMaze
//
//  Created by Ay on 09年2月2日.
//  Copyright 2009 NA. All rights reserved.
//

#import "imgControler.h"
#import "Wrapper.h"
#import "CCTexture.h"
#import "CCSprite.h"
#import "CCMD2Model.h"

@implementation imgControler
- (id) initWithPath:(NSString *)path width:(float)width heigh:(float)heigh
{
	self = [super init];
	if (self != nil) {
		tex = CCTextureCreate([path UTF8String] );
		img = new CCSprite(tex, 0.0f, 0.0f, width, heigh);
	}
	return self;
}

-(void) render:(float)x y:(float)y angle:(float)angle xScale:(float)xScale yScale:(float)yScale r:(float)r g:(float)g b:(float)b a:(float)a{
	Enable2D();
	img->setColor(r, g, b, a);
	img->render(x, y, angle, xScale, yScale);
}

-(void) render:(float)x y:(float)y a:(float)a{
	Enable2D();
	img->setColor(1, 1, 1, a);
	img->render(x, y, 0, 1, 1);
}

-(void) render:(float)x y:(float)y angle:(float)angle{
	Enable2D();
	img->setColor(1, 1, 1, 1);
	img->render(x, y, angle, 1, 1);
}

-(void) render:(float)x y:(float)y {
	Enable2D();
	img->setColor(1, 1, 1, 1);
	img->render(x, y, 0, 1, 1);
	
}
@end
